/***************************************************************************
**
**    $Header:   D:/ECB2S/SRC/LOG/ALIBOPTI.CPP   1.2.1.5   17 Apr 1997 15:41:20   ZJRD  $
**
**    $Log:   D:/ECB2S/SRC/LOG/ALIBOPTI.CPP  $
** 
**    Rev 1.2.1.5   17 Apr 1997 15:41:20   ZJRD
** No change.
** 
**    Rev 1.2.1.4   16 Apr 1997 10:15:02   ZJRD
** No change.
** 
**    Rev 1.2.1.3   10 Apr 1997 15:27:04   ZJRD
** 2.09F
** 
**    Rev 1.2.1.1   03 Apr 1997 15:09:06   ZJRD
** No change.
** 
**    Rev 1.2.1.0   28 Mar 1997 10:14:04   ZJRD
** easy pack sld 2.09d
** 
**    Rev 1.1   19 Mar 1997 11:25:24   ZJRD
** No change.
** 
**    Rev 1.0   12 Mar 1997 14:44:22   ZJRD
** Initial revision.
** 
**    Rev 1.3.1.0.1.2   09 Dec 1996 10:14:06   ZJRD
** EasyPack/SLD Version 2.0P
** 
**    Rev 1.3.1.0.1.0   11 Nov 1996 12:57:22   ZJRD
** EasyPack/SLD Version 2.01
** 
**    Rev 1.3.1.4   09 Sep 1996 13:13:18   ZJRD
** No change.
** 
**    Rev 1.3.1.3   05 Sep 1996 11:24:50   ZJRD
** No change.
** 
**    Rev 1.3.1.2   02 Sep 1996 09:51:56   ZJRD
** No change.
** 
**    Rev 1.3.1.1   28 Aug 1996 15:43:38   ZJRD
** No change.
** 
**    Rev 1.3.1.0   12 Aug 1996 10:49:04   ZJRD
** EasyPack/SLD Version 1.98
** 
**    Rev 1.0   29 May 1996 09:35:30   ZJRD
** Initial revision.
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// aloption.cpp
//
// Roger Zhang
//                                                                           
// 5/2/96
//
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "resource.h"

#include "toolopt.h"
#include "alib.h"
#include "alibopti.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// ALIBOption dialog


ALIBOption::ALIBOption(ALIBTool * pTool)
    : CPropertyPage(ALIBOption::IDD)
{                                
    ASSERT(pTool);
    
    m_pTool = pTool;               
    
    LoadData();
    
    //{{AFX_DATA_INIT(ALIBOption)
    
    //}}AFX_DATA_INIT
}

void ALIBOption::DoDataExchange(CDataExchange* pDX)
{
    CPropertyPage::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(ALIBOption)
    DDX_CBIndex(pDX, IDC_ALIBOPT_MODEL, m_nMemoryModel);
    DDX_Check(pDX, IDC_ALIBOPT_CHECK1, m_float);
    DDX_Text(pDX, IDC_ALIBOPT_MORE, m_strMore);
    DDX_Text(pDX, IDC_ALIBOPT_PATH_EDIT, m_strPath);
    //}}AFX_DATA_MAP
}

void ALIBOption::SaveData(void)
{
//  UpdateData(TRUE);
    m_strPath.TrimLeft();
    m_strPath.TrimRight();
    m_strMore.TrimLeft();
    m_strMore.TrimRight();
    m_pTool->m_float        = m_float;
    m_pTool->m_nMemoryModel = m_nMemoryModel;
    m_pTool->m_strMore      = m_strMore;
    m_pTool->m_strPath      = m_strPath;
}

void ALIBOption::LoadData(void)
{
    m_float        = m_pTool->m_float;
    m_nMemoryModel = m_pTool->m_nMemoryModel; 
    m_strMore      = m_pTool->m_strMore;
    m_strPath      = m_pTool->m_strPath;
 
}

BEGIN_MESSAGE_MAP(ALIBOption, CPropertyPage)
    //{{AFX_MSG_MAP(ALIBOption)
        // NOTE: the ClassWizard will add message map macros here
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// ALIBOption message handlers
